Bug 503586 - Review Request: python-tgext-crud - Crud Controller Extension for TG2
Review Request: python-tgext-crud - Crud Controller Extension for TG2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 503590
  Show dependency treegraph
 
Reported: 2009-06-01 15:29 EDT by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.2.4-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-29 18:02:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
johnp: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2009-06-01 15:29:59 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/python-tgext-crud.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-tgext-crud-0.2.4-1.fc10.src.rpm
Description:  Crud Controller Extension for TG2
Comment 1 John (J5) Palmieri 2009-06-01 15:40:02 EDT
rpmlint python-tgext-crud-0.2.4-1.fc9.noarch.rpm
python-tgext-crud.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Should probably have a readme and a copying file at the least
Comment 2 John (J5) Palmieri 2009-06-01 15:47:50 EDT
No need to add the docs but upstream should be alerted
Comment 3 John (J5) Palmieri 2009-06-01 16:12:06 EDT
    *  MUST: rpmlint must be run on every package. The output should be posted in the review.[1]

Warning waved - Passes with one warning about docs - waved

    * MUST: The package must be named according to the Package Naming Guidelines .

Pass

    * MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .

Pass

    * MUST: The package must meet the Packaging Guidelines .
  
Pass  

    * MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

Pass - MIT

    * MUST: The License field in the package spec file must match the actual license. [3]

Pass

    * MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]

Pass - No license file included in tarball

    * MUST: The spec file must be written in American English. [5]

Pass

    * MUST: The spec file for the package MUST be legible. [6]

Pass
    
    * MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

Pass - md5sum 7dda7f32440bf74c2a9694bebdcf8a55

    * MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]

Pass

    * MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]

Pass - Noarch package

    * MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

Pass

    * MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [12]

Pass 

    * MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [13]

Pass

    * MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [14]

Pass

    * MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [15]

Pass

    * MUST: Each package must consistently use macros. [16]

Pass

    * MUST: The package must contain code, or permissable content. [17]

Pass

    * MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [24]

Pass

    * MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [25]

Pass 
   
 * MUST: All filenames in rpm packages must be valid UTF-8. [26]

Pass

SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.

    * SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [27]

Please query upstream if you have the chance
Comment 4 Luke Macken 2009-06-02 09:58:52 EDT
Since all of the MUST items have passed, is this package approved?  I will contact upstream (Chris Percious) about adding the license file to the tarballs.
Comment 5 Parag AN(पराग) 2009-07-06 09:43:47 EDT
any ETA to build this package?
Comment 6 Parag AN(पराग) 2009-07-10 00:32:11 EDT
ping?
Comment 7 John (J5) Palmieri 2009-07-20 13:18:29 EDT
approved
Comment 8 Luke Macken 2009-07-20 13:23:13 EDT
New Package CVS Request
=======================
Package Name: python-tgext-crud
Short Description: Crud Controller Extension for TG2
Owners: lmacken
Branches: F-10 F-11 EL-5
InitialCC: johnp
Comment 9 Jason Tibbitts 2009-07-21 11:18:32 EDT
CVS done.
Comment 10 Fedora Update System 2009-07-21 18:33:24 EDT
python-tgext-crud-0.2.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-tgext-crud-0.2.4-1.fc10
Comment 11 Fedora Update System 2009-07-21 18:33:29 EDT
python-tgext-crud-0.2.4-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-tgext-crud-0.2.4-1.el5
Comment 12 Fedora Update System 2009-07-21 18:33:34 EDT
python-tgext-crud-0.2.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-tgext-crud-0.2.4-1.fc11
Comment 13 Fedora Update System 2009-07-22 15:22:30 EDT
python-tgext-crud-0.2.4-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-tgext-crud'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0113
Comment 14 Fedora Update System 2009-07-23 15:03:55 EDT
python-tgext-crud-0.2.4-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-tgext-crud'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7945
Comment 15 Fedora Update System 2009-07-23 15:15:24 EDT
python-tgext-crud-0.2.4-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-tgext-crud'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7972
Comment 16 Fedora Update System 2009-09-29 18:02:22 EDT
python-tgext-crud-0.2.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-09-29 21:41:45 EDT
python-tgext-crud-0.2.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.